.TH CHUNK 1 local
.SH NAME
chunk \- read stdin and pipe every chunk to a program
.SH SYNOPSIS
.B chunk
[-H]
[-b buffer_size]
[-p part_list]
[-c 'command arg']
.SH DESCRIPTION
.I Chunk
is a filter that reads from the standard input, and output every chunk
(certain number of bytes) into a command.  The defualt chunk size is 20000
bytes and can be changed by
.I -b buffer_size
option in the command line.
.PP
Command line option
.I -p part_list
will execute -c command for part(s)
.I part_list
only which might consist of a list of numbers or ranges separated by ',' or
whitespaces, range is composed of two numbers separated by '-', this option
is used to retransmit parts that failed.  More than one
.I -p
option may be specified. If no
.I -p
is specified, all parts will be processed.
.PP
Command line option
.I -c
will use the next argument as command to be executed for each chunk of
data. You have to quote them so that the argument will be passed also.
If -c is not specified, chunk will output the number of chunks it will
produce.
.PP
One special feature in command argument is % character, it will be used
as a magic character where the next character will be decoded specially:
.IP "%i"
will be replace by the current chunk number.
.IP "%b"
will be replace by the buffer size.
.PP
.I Chunk
was designed to allow
.I tarmail
a big file into smaller chunks, and therefore, it was so named.
.SH VERSION
chunk        Version 1.2
.SH EXAMPLE
tar -cf - . | compress | \\
.br
chunk -c 'bota | mail -s "tarmail (part %i/5)" lew'
.sp
.br
tar -cf - . | compress | \\
.br
chunk -p2,6-9 -c 'bota | mail -s "tarmail (part %i/40)" lew'
.SH AUTHOR
Paul Lew, lew@gsg.com
